Bug 74301 - traceroute seems to be not there
traceroute seems to be not there
Product: Red Hat Public Beta
Classification: Retired
Component: traceroute (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-09-19 19:24 EDT by Nick Mumbach
Modified: 2015-03-04 20:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-21 04:35:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nick Mumbach 2002-09-19 19:24:35 EDT
Description of Problem: cannot run traceroute

Version-Release number of selected component (if applicable):

How Reproducible:always

Steps to Reproduce:
1. go to terminal session
2. type 'traceroute'
3. error message 'bash: command not found'

Actual Results: nada

Expected Results: something

Additional Information: Also, clicking on the Traceroute menu item in system
tools does nothing
Comment 1 Barry K. Nathan 2002-09-21 04:35:32 EDT
On my (null) system, traceroute is in /usr/sbin/traceroute, where it's been for
the last I-can't-remember-how-many Red Hat releases, and it's in the traceroute
package. Usually this isn't in the $PATH of mere mortal users (as opposed to
root) so you need to type the whole path or change your shell scripts to add
/usr/sbin to your PATH by default. FWIW, this isn't unique to Linux either (it's
true for most Unix variants I've seen).

The traceroute menu item is a different problem. I don't know what's happening
for you; for me, it runs xmtr (/usr/bin/xmtr), from the mtr-gtk package.
Comment 2 Phil Knirsch 2002-10-04 08:52:11 EDT
Well, as a 'normal' user (none root) the path where tracroute is isn't in the
PATH environment variable, but it has been like that for ages, too.

So if you try a


it should work.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.